Skip to main content
GET
/
api
/
v3
/
admin
/
customers
/
{customer_id}
/
store_credits
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const { data: storeCredits } = await client.customers.storeCredits.list('cus_UkLWZg9DAJ')
{
  "data": [
    {
      "id": "credit_UkLWZg9DAJ",
      "amount": "50.0",
      "amount_used": "0.0",
      "amount_remaining": "50.0",
      "display_amount": "$50.00",
      "display_amount_used": "$0.00",
      "display_amount_remaining": "$50.00",
      "currency": "USD",
      "memo": null,
      "metadata": {},
      "created_at": "2026-05-24T17:36:47.452Z",
      "updated_at": "2026-05-24T17:36:47.452Z",
      "customer_id": "cus_UkLWZg9DAJ",
      "created_by_id": "admin_UkLWZg9DAJ",
      "category_id": "sccat_UkLWZg9DAJ",
      "category_name": "Exchange"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 1,
    "pages": 1,
    "from": 1,
    "to": 1,
    "in": 1,
    "previous": null,
    "next": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Path Parameters

customer_id
string
required

Query Parameters

expand
string

Comma-separated associations to expand (e.g., category, store, created_by). Use dot notation for nested expand (max 4 levels).

fields
string

Comma-separated list of fields to include (e.g., amount,amount_used,memo,currency). id is always included.

Response

200 - application/json

store credits found